schema {
    query: Query
    mutation: Mutation
}

type Query

type Mutation {
    associate(input: AuthenticatorInput): AuthenticatorResponse
}

input AuthenticatorInput{
    authenticator_type: String!
    oob_channels: String
    associate_hint: String
    for_channel: String

}

type AuthenticatorResponse{

    authenticator_type: String!
    oob_channel: String

    user_code: String!
}